/* $Id: protocol.h,v 1.1.1.1 2001/01/12 06:06:44 andrew Exp $ */

#ifndef PROTOCOL_H
#define PROTOCOL_H

#define MAX_LINE    (1024 - 1)

/* messages that can be sent to the client 
 * (the actual messages are in protocol_private.h) */
enum message_name {
	MSG_WELCOME = 0,
	MSG_SUCCESS,
	MSG_GOODBYE,
	MSG_OLDPASS = 5,
	MSG_NEWPASS,
	MSG_ERR_MISC = 10,
	MSG_ERR_IO,
	MSG_ERR_TIME,
	MSG_ERR_PROTO,
	MSG_ERR_AUTH,
	MSG_ERR_TOOLONG
};
extern const char *const messages[];

/* messages that can be received from the client */
enum command {
	CMD_USER = 0,
	CMD_PASS,
	CMD_NEWPASS,
	CMD_QUIT,
	CMD_UNKNOWN = 99
};
extern const char *const commands[];

void do_protocol(void);
int lex(enum command *cmd, char **arg);

#endif
